View Issue Details

IDProjectCategoryView StatusLast Update
0008849Talerwallet (Android App)public2024-05-29 16:30
ReporterFlorian Dold Assigned Togrote  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Target Version0.12 
Summary0008849: Android App should call hintNetworkAvailability
DescriptionThe new wallet-core request

  hintNetworkAvailability({isNetworkAvailable: boolean})

should be used to tell wallet-core about network availability.

In case the network becomes available again, all pending tasks are retried immediately.
In the future, when the network becomes unavailable, wallet-core might stop emitting certain errors or not retry certain network requests.
TagsNo tags attached.

Activities

avalos

2024-05-24 20:52

developer   ~0022467

WIP in dev/ivan-avalos/master

avalos

2024-05-27 20:37

developer   ~0022478

[Waiting for a tag in wallet-core that re-implements this request.]

avalos

2024-05-28 00:43

developer   ~0022479

[Feature completed, now waiting for review.]

grote

2024-05-29 16:30

developer   ~0022489

fixed in df2c70169a6dab48ee5b684588f698034fa01366

Issue History

Date Modified Username Field Change
2024-05-16 00:33 Florian Dold New Issue
2024-05-16 00:33 Florian Dold Status new => assigned
2024-05-16 00:33 Florian Dold Assigned To => avalos
2024-05-16 00:34 Florian Dold Issue cloned: 0008850
2024-05-24 20:52 avalos Status assigned => confirmed
2024-05-24 20:52 avalos Note Added: 0022467
2024-05-27 20:37 avalos Note Added: 0022478
2024-05-28 00:43 avalos Assigned To avalos => grote
2024-05-28 00:43 avalos Status confirmed => feedback
2024-05-28 00:43 avalos Note Added: 0022479
2024-05-29 16:30 grote Status feedback => resolved
2024-05-29 16:30 grote Resolution open => fixed
2024-05-29 16:30 grote Note Added: 0022489